POST /auth/change-password
Change Password
Change Password
/auth/change-passwordRequest body
NestAuthChangePasswordRequestDto
| Field | Type | Required | Description |
|---|---|---|---|
currentPassword | string | required | Current password Example: DemoOwner1! |
newPassword | string | required | New password Example: DemoOwner1!New |
Examples
Example
{
"currentPassword": "DemoOwner1!",
"newPassword": "DemoOwner1!New"
}Responses
200
MessageResponseDto
| Field | Type | Required | Description |
|---|---|---|---|
message | string | required | Response message |
Example response
{
"message": "string"
}Try it
curl -X POST 'https://api.example.com/auth/change-password' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-d '{"currentPassword":"DemoOwner1!","newPassword":"DemoOwner1!New"}'